#!/bin/sh
# Copyright (c) 2003-2006 Erez Zadok
# Copyright (c) 2003-2006 Stony Brook University
# Copyright (c) 2003-2006 The Research Foundation of State University of New York
# Copyright (c) 2004-2006 Nikolai Joukov
# Copyright (c) 2003-2005 Akshat Aranya
# Copyright (c) 2006-2006 Gopala Surya

LOWERDIR=/n/lower
MOUNTPOINT=/n/tracefs-upper
DEBUG=0
BINDIR=../src/
CONF=streaming_tracefs_config
export LD_LIBRARY_PATH=${BINDIR}user

###################
#Tracing operation ends
####################
${BINDIR}user/gostop ${MOUNTPOINT} stop 0
${BINDIR}user/gostop ${MOUNTPOINT} d 0
umount ${MOUNTPOINT}
/sbin/rmmod tracefs

#
# postprocessing phase
#
export LD_LIBRARY_PATH=../apps
../apps/tracegen -f /tmp/streaming.trfs > /tmp/streaming.trfs.txt 2> /tmp/errors

